Package com.databricks.jdbc.client.impl.thrift.generated

## Enum TProtocolVersion

- java.lang.Object
- - java.lang.Enum<TProtocolVersion>
  - - com.databricks.jdbc.client.impl.thrift.generated.TProtocolVersion

All Implemented Interfaces:
  `Serializable`, `Comparable<TProtocolVersion>`, `org.apache.thrift.TEnum`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public enum TProtocolVersion
    extends Enum<TProtocolVersion>
    implements org.apache.thrift.TEnum

### Enum Constant Summary

Enum Constants
`__HIVE_JDBC_WORKAROUND`
`__TEST_PROTOCOL_VERSION`
`HIVE_CLI_SERVICE_PROTOCOL_V1`
`HIVE_CLI_SERVICE_PROTOCOL_V10`
`HIVE_CLI_SERVICE_PROTOCOL_V2`
`HIVE_CLI_SERVICE_PROTOCOL_V3`
`HIVE_CLI_SERVICE_PROTOCOL_V4`
`HIVE_CLI_SERVICE_PROTOCOL_V5`
`HIVE_CLI_SERVICE_PROTOCOL_V6`
`HIVE_CLI_SERVICE_PROTOCOL_V7`
`HIVE_CLI_SERVICE_PROTOCOL_V8`
`HIVE_CLI_SERVICE_PROTOCOL_V9`
`SPARK_CLI_SERVICE_PROTOCOL_V1`
`SPARK_CLI_SERVICE_PROTOCOL_V2`
`SPARK_CLI_SERVICE_PROTOCOL_V3`
`SPARK_CLI_SERVICE_PROTOCOL_V4`
`SPARK_CLI_SERVICE_PROTOCOL_V5`
`SPARK_CLI_SERVICE_PROTOCOL_V6`
`SPARK_CLI_SERVICE_PROTOCOL_V7`
`SPARK_CLI_SERVICE_PROTOCOL_V8`
`SPARK_CLI_SERVICE_PROTOCOL_V9`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TProtocolVersion` `findByValue​(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
`int` `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
`static TProtocolVersion` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TProtocolVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### __HIVE_JDBC_WORKAROUND

    public static final TProtocolVersion __HIVE_JDBC_WORKAROUND

#### __TEST_PROTOCOL_VERSION

    public static final TProtocolVersion __TEST_PROTOCOL_VERSION

#### HIVE_CLI_SERVICE_PROTOCOL_V1

    public static final TProtocolVersion HIVE_CLI_SERVICE_PROTOCOL_V1

#### HIVE_CLI_SERVICE_PROTOCOL_V2

    public static final TProtocolVersion HIVE_CLI_SERVICE_PROTOCOL_V2

#### HIVE_CLI_SERVICE_PROTOCOL_V3

    public static final TProtocolVersion HIVE_CLI_SERVICE_PROTOCOL_V3

#### HIVE_CLI_SERVICE_PROTOCOL_V4

    public static final TProtocolVersion HIVE_CLI_SERVICE_PROTOCOL_V4

#### HIVE_CLI_SERVICE_PROTOCOL_V5

    public static final TProtocolVersion HIVE_CLI_SERVICE_PROTOCOL_V5

#### HIVE_CLI_SERVICE_PROTOCOL_V6

    public static final TProtocolVersion HIVE_CLI_SERVICE_PROTOCOL_V6

#### HIVE_CLI_SERVICE_PROTOCOL_V7

    public static final TProtocolVersion HIVE_CLI_SERVICE_PROTOCOL_V7

#### HIVE_CLI_SERVICE_PROTOCOL_V8

    public static final TProtocolVersion HIVE_CLI_SERVICE_PROTOCOL_V8

#### HIVE_CLI_SERVICE_PROTOCOL_V9

    public static final TProtocolVersion HIVE_CLI_SERVICE_PROTOCOL_V9

#### HIVE_CLI_SERVICE_PROTOCOL_V10

    public static final TProtocolVersion HIVE_CLI_SERVICE_PROTOCOL_V10

#### SPARK_CLI_SERVICE_PROTOCOL_V1

    public static final TProtocolVersion SPARK_CLI_SERVICE_PROTOCOL_V1

#### SPARK_CLI_SERVICE_PROTOCOL_V2

    public static final TProtocolVersion SPARK_CLI_SERVICE_PROTOCOL_V2

#### SPARK_CLI_SERVICE_PROTOCOL_V3

    public static final TProtocolVersion SPARK_CLI_SERVICE_PROTOCOL_V3

#### SPARK_CLI_SERVICE_PROTOCOL_V4

    public static final TProtocolVersion SPARK_CLI_SERVICE_PROTOCOL_V4

#### SPARK_CLI_SERVICE_PROTOCOL_V5

    public static final TProtocolVersion SPARK_CLI_SERVICE_PROTOCOL_V5

#### SPARK_CLI_SERVICE_PROTOCOL_V6

    public static final TProtocolVersion SPARK_CLI_SERVICE_PROTOCOL_V6

#### SPARK_CLI_SERVICE_PROTOCOL_V7

    public static final TProtocolVersion SPARK_CLI_SERVICE_PROTOCOL_V7

#### SPARK_CLI_SERVICE_PROTOCOL_V8

    public static final TProtocolVersion SPARK_CLI_SERVICE_PROTOCOL_V8

#### SPARK_CLI_SERVICE_PROTOCOL_V9

    public static final TProtocolVersion SPARK_CLI_SERVICE_PROTOCOL_V9

### Method Detail

#### values

    public static TProtocolVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TProtocolVersion c : TProtocolVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TProtocolVersion valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

#### findByValue

    public static TProtocolVersion findByValue​(int value)

Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.